import request from '@/utils/request'

// 查询LineStrategyTemplate列表
export function listLineStrategyTemplate(query) {
  return request({
    url: '/api/v1/line-strategy-template',
    method: 'get',
    params: query
  })
}

// 查询LineStrategyTemplate详细
export function getLineStrategyTemplate(id) {
  return request({
    url: '/api/v1/line-strategy-template/' + id,
    method: 'get'
  })
}

// 新增LineStrategyTemplate
export function addLineStrategyTemplate(data) {
  return request({
    url: '/api/v1/line-strategy-template',
    method: 'post',
    data: data
  })
}

// 修改LineStrategyTemplate
export function updateLineStrategyTemplate(data) {
  return request({
    url: '/api/v1/line-strategy-template/' + data.id,
    method: 'put',
    data: data
  })
}

// 删除LineStrategyTemplate
export function delLineStrategyTemplate(data) {
  return request({
    url: '/api/v1/line-strategy-template',
    method: 'delete',
    data: data
  })
}

